## org.eclipse.jetty.webapp
Class MetaInfConfiguration

    java.lang.Object
      org.eclipse.jetty.webapp.AbstractConfiguration
          org.eclipse.jetty.webapp.MetaInfConfiguration

All Implemented Interfaces:
  Configuration

    public class MetaInfConfiguration

extends AbstractConfiguration

MetaInfConfiguration Scan META-INF of all jars in WEB-INF/lib to find:

- tlds
- web-fragment.xml
- resources

Field Summary
`static String` `METAINF_FRAGMENTS`
`static String` `METAINF_RESOURCES`
`static String` `METAINF_TLDS`

Constructor Summary
`MetaInfConfiguration()`

Method Summary
`void` `addResource(WebAppContext context, String attribute, Resource jar)`
`void` `postConfigure(WebAppContext context)` Clear down after configuration.
`void` `preConfigure(WebAppContext context)` Set up for configuration.
`protected void` `processEntry(WebAppContext context, URI jarUri, JarEntry entry)`

Methods inherited from class org.eclipse.jetty.webapp.AbstractConfiguration
`cloneConfigure, configure, deconfigure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METAINF_TLDS

    public static final String METAINF_TLDS

See Also:
  Constant Field Values

### METAINF_FRAGMENTS

    public static final String METAINF_FRAGMENTS

See Also:
  Constant Field Values

### METAINF_RESOURCES

    public static final String METAINF_RESOURCES

See Also:
  Constant Field Values

Constructor Detail

### MetaInfConfiguration

    public MetaInfConfiguration()

Method Detail

### preConfigure

    public void preConfigure(WebAppContext context)
                      throws Exception

  Description copied from interface: `Configuration`
  Set up for configuration.

  Typically this step discovers configuration resources

  Specified by:
    `preConfigure` in interface `Configuration`
  Overrides:
    `preConfigure` in class `AbstractConfiguration`
  Parameters:
    `context` - The context to configure
  Throws:
    `Exception`

### postConfigure

    public void postConfigure(WebAppContext context)
                       throws Exception

  Description copied from interface: `Configuration`
  Clear down after configuration.

  Specified by:
    `postConfigure` in interface `Configuration`
  Overrides:
    `postConfigure` in class `AbstractConfiguration`
  Parameters:
    `context` - The context to configure
  Throws:
    `Exception`

### addResource

    public void addResource(WebAppContext context,
                            String attribute,
                            Resource jar)

### processEntry

    protected void processEntry(WebAppContext context,
                                URI jarUri,
                                JarEntry entry)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.